aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mlt/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:45:44 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:46:38 +0100
commitd02611584d4b2f693469c72272fe369413139394 (patch)
treec93790394c24fa8248ac8da610bbd1fadc962049 /testing/mlt/APKBUILD
parent27be6a5522c455a6bb5ddabe2b3dbdc6d0037580 (diff)
downloadaports-d02611584d4b2f693469c72272fe369413139394.tar.bz2
aports-d02611584d4b2f693469c72272fe369413139394.tar.xz
testing/mlt: new aport
Diffstat (limited to 'testing/mlt/APKBUILD')
-rw-r--r--testing/mlt/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/mlt/APKBUILD b/testing/mlt/APKBUILD
new file mode 100644
index 0000000000..98a6ab7dce
--- /dev/null
+++ b/testing/mlt/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=mlt
+pkgver=6.2.0
+pkgrel=0
+pkgdesc="MLT Multimedia Framework"
+url="https://www.mltframework.org/"
+arch="all"
+license="LGPL-2.1"
+depends=""
+makedepends="python ffmpeg-dev libsamplerate-dev sox-dev jack-dev
+ gtk+2.0-dev sdl_image-dev frei0r-plugins-dev libxml2-dev fftw-dev
+ sdl-dev libexif-dev swfdec-dev bsd-compat-headers"
+install=""
+subpackages="$pkgname-dev"
+source="https://github.com/mltframework/mlt/releases/download/v$pkgver/mlt-$pkgver.tar.gz
+ musl-locale.patch
+ "
+builddir="$srcdir/mlt-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --avformat-swscale \
+ --enable-motion-est \
+ --enable-gpl \
+ --enable-gpl3 \
+ --disable-kde \
+ --disable-rtaudio \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="cdbc5d1d686b75dd2b8fd14059bdd9d4 mlt-6.2.0.tar.gz
+ddef5213a187f9f1b347f161faac5c44 musl-locale.patch"
+sha256sums="5acdc8760cc28b19e9dc291f66cbe3faa2bc5e8d53e2de3ef543eb5be0feb9f4 mlt-6.2.0.tar.gz
+92ded1c0cdf28c33f2457ac3a93f41a889cc42c987249c6947b59b50bd06b5aa musl-locale.patch"
+sha512sums="24f5bab7debb75c644cc60a840bb351526a80e9cdf9216c00a627856c39b632898a45c649a5de7bd8beb590e36ae6f31409e5bc7ae32074d87c1e49f55ba20fc mlt-6.2.0.tar.gz
+44045f433408ef5a38a0d190a625f5d1cb5fb959de7aec595c6b80981f3600c2b35b521ef6bd2eb6c90f38a13ff8276ea44896977b6cf66743d817c99260dffa musl-locale.patch"